package main

import (
	"caj-larsson/bog/application"
	"io/ioutil"
	"fmt"
)

func main() {
	content, err := ioutil.ReadFile("default.toml")

	if err != nil {
		panic(err)
	}

	config, err := application.ConfigFromToml(string(content))
	if err != nil {
		panic(err)
	}

	fmt.Printf("%+v\n", config)

	bog := application.New(config)
	bog.Run()
}
