package test

import (
	"path"
	"testing"
	"caj-larsson/bog/domain"
	"caj-larsson/bog/integration"
	"caj-larsson/bog/test/mock"
)

func TestFsFileRepo(t *testing.T) {

	var fac = func()domain.FileDataRepository {
		r := t.TempDir()
		d := path.Join(r, "fs")
		repo := integration.FileSystemBogRepository { d }
		return &repo
	}

	mock.BogFileRepositoryContract(fac, t)
}
